# Generated by Django 3.2.7 on 2024-03-18 22:04

from django.db import migrations, models
import gaia_paysans.fields
import gaia_paysans.models

class Migration(migrations.Migration):

    dependencies = [
        ('gaia_paysans', '0003_produit_short_name'),
    ]

    operations = [
        migrations.AddField(
            model_name='produit',
            name='frequences',
            field=gaia_paysans.fields.CheckBoxArrayField(base_field=models.CharField(choices=[('hebdomadaire_4', 'Livraison hebdomadaire pour 4 distributions'), ('hebdomadaire_semestre', 'Livraison hebdomadaire pour tout le semestre'), ('bimensuelle_4', 'Livraison une distribution sur deux pour 4 distributions'), ('bimensuelle_semestre', 'Livraison une distribution sur deux pour tout le semestre'), ('unique', 'Livraison unique')], max_length=50), default=gaia_paysans.models.Produit.Frequences.get_default_frequences, help_text="Pour la livraison unique, vous devez cocher également la case 'Autoriser en livraison unique ?' pour les distributions concernées.", size=None, verbose_name='Fréquences'),
        )
    ]
